Open CASCADE Technology: RWStepRepr_RWPropertyDefinition Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
RWStepRepr_RWPropertyDefinition Class Reference

Read & Write tool for PropertyDefinition. More...

`#include <RWStepRepr_RWPropertyDefinition.hxx>`

## Public Member Functions
| RWStepRepr_RWPropertyDefinition ()
| Empty constructor. More...
void | ReadStep (const Handle< StepData_StepReaderData > &data, const Standard_Integer num, Handle< Interface_Check > &ach, const Handle< StepRepr_PropertyDefinition > &ent) const
| Reads PropertyDefinition. More...
void | WriteStep (StepData_StepWriter &SW, const Handle< StepRepr_PropertyDefinition > &ent) const
| Writes PropertyDefinition. More...
void | Share (const Handle< StepRepr_PropertyDefinition > &ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) More...

## Detailed Description

Read & Write tool for PropertyDefinition.

## Constructor & Destructor Documentation

RWStepRepr_RWPropertyDefinition::RWStepRepr_RWPropertyDefinition | ( |  | ) |

Empty constructor.

## Member Function Documentation

void RWStepRepr_RWPropertyDefinition::ReadStep | ( | const Handle< StepData_StepReaderData > & | data,
|  | const Standard_Integer | num,
|  | Handle< Interface_Check > & | ach,
|  | const Handle< StepRepr_PropertyDefinition > & | ent
| ) |  | const

Reads PropertyDefinition.

void RWStepRepr_RWPropertyDefinition::Share | ( | const Handle< StepRepr_PropertyDefinition > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Fills data for graph (shared items)

void RWStepRepr_RWPropertyDefinition::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle< StepRepr_PropertyDefinition > & | ent
| ) |  | const

Writes PropertyDefinition.

The documentation for this class was generated from the following file:

- RWStepRepr_RWPropertyDefinition.hxx